Jitsi Meet ver. 20.5.0 (205000) don't work

Hello,

F-Droid repos, the version 20.5.0 (205000) is blocked on logo.
I must return to the version 20.4.2 (204020).

It looks like the version on google play store works (but I don’t test it).

Post on Github: https://github.com/jitsi/jitsi-meet/issues/8141

1 Like

Confirming F-Droid repo ver 20.5.0 fails, whereas F-Droid repo ver 20.4.2 works fine (on Samsung Galaxy S5 Android 6.0.1 and on Samsung Tab S2 9.7 Android 7.0).

Google Playstore ver 20.5.0 installs OK. (Reported on Github https://github.com/jitsi/jitsi-meet/issues/8141 ). Perhaps an F-Droid build issue, missing some lib.

I see the app has been fixed and reuploaded, but with the very same version number.
This way the Fdroid client will not update from the broken version unless you manually select the fixed one (with the same version number).
In such a case, shouldn’t it be better to add a .1 to the version number and let the app auto-update at the first chance?

Has the same versionName yes, but different versionCode. It should update… can you share some pics with app details Versions expanded in F-Droid client?

Sorry, already updated to the working version,
Before the update, expanding the versions section I saw the 3 available versions with their “added” date and arrow to expand on the right followed by the installed version without any detail except for the green “installed” badge.
Maybe the problem is that v20.4.2 appears to be still the suggested version and that stops from auto updating to the fixed v20.5.0

The following image is not a real screenshot (I recreated it with Gimp), but is exactly like is was before manually updating.

2 Likes

Ok, now I see, I forgot to bump recommended version, pfft

/LE: https://gitlab.com/fdroid/fdroiddata/-/merge_requests/7965

3 Likes

And i was waiting and waiting for update… thanks for getting my attention to this :wink:

1 Like